Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends | List of all members
UnitTest Class Reference

`#include <gtest.h>`

## Public Member Functions
int | Run () GTEST_MUST_USE_RESULT_
const char * | original_working_dir () const
const TestCase * | current_test_case () const
const TestInfo * | current_test_info () const
int | random_seed () const
int | successful_test_case_count () const
int | failed_test_case_count () const
int | total_test_case_count () const
int | test_case_to_run_count () const
int | successful_test_count () const
int | failed_test_count () const
int | disabled_test_count () const
int | total_test_count () const
int | test_to_run_count () const
TimeInMillis | elapsed_time () const
bool | Passed () const
bool | Failed () const
const TestCase * | GetTestCase (int i) const
TestEventListeners & | listeners ()
int | Run () GTEST_MUST_USE_RESULT_
const char * | original_working_dir () const
const TestCase * | current_test_case () const
const TestInfo * | current_test_info () const
int | random_seed () const
internal::ParameterizedTestCaseRegistry & | parameterized_test_registry ()
int | successful_test_case_count () const
int | failed_test_case_count () const
int | total_test_case_count () const
int | test_case_to_run_count () const
int | successful_test_count () const
int | failed_test_count () const
int | disabled_test_count () const
int | total_test_count () const
int | test_to_run_count () const
TimeInMillis | elapsed_time () const
bool | Passed () const
bool | Failed () const
const TestCase * | GetTestCase (int i) const
TestEventListeners & | listeners ()
int | Run () GTEST_MUST_USE_RESULT_
const char * | original_working_dir () const
const TestCase * | current_test_case () const
const TestInfo * | current_test_info () const
int | random_seed () const
int | successful_test_case_count () const
int | failed_test_case_count () const
int | total_test_case_count () const
int | test_case_to_run_count () const
int | successful_test_count () const
int | failed_test_count () const
int | disabled_test_count () const
int | total_test_count () const
int | test_to_run_count () const
TimeInMillis | elapsed_time () const
bool | Passed () const
bool | Failed () const
const TestCase * | GetTestCase (int i) const
TestEventListeners & | listeners ()

## Static Public Member Functions
static UnitTest * | GetInstance ()
static UnitTest * | GetInstance ()
static UnitTest * | GetInstance ()

## Friends
class | Test
class | internal::AssertHelper
class | internal::ScopedTrace
Environment * | AddGlobalTestEnvironment (Environment *env)
internal::UnitTestImpl * | internal::GetUnitTestImpl ()
void | internal::ReportFailureInUnknownLocation (TestPartResult::Type result_type, const internal::String &message)
Environment * | AddGlobalTestEnvironment (Environment *env)
internal::UnitTestImpl * | internal::GetUnitTestImpl ()
void | internal::ReportFailureInUnknownLocation (TestPartResult::Type result_type, const internal::String &message)
Environment * | AddGlobalTestEnvironment (Environment *env)
internal::UnitTestImpl * | internal::GetUnitTestImpl ()
void | internal::ReportFailureInUnknownLocation (TestPartResult::Type result_type, const internal::String &message)

## Member Function Documentation

const TestCase * current_test_case | ( |  | ) | const

const TestCase* current_test_case | ( |  | ) | const

const TestCase* current_test_case | ( |  | ) | const

const TestInfo * current_test_info | ( |  | ) | const

const TestInfo* current_test_info | ( |  | ) | const

const TestInfo* current_test_info | ( |  | ) | const

int disabled_test_count | ( |  | ) | const

int disabled_test_count | ( |  | ) | const

int disabled_test_count | ( |  | ) | const

internal::TimeInMillis elapsed_time | ( |  | ) | const

TimeInMillis elapsed_time | ( |  | ) | const

TimeInMillis elapsed_time | ( |  | ) | const

bool Failed | ( |  | ) | const

bool Failed | ( |  | ) | const

bool Failed | ( |  | ) | const

int failed_test_case_count | ( |  | ) | const

int failed_test_case_count | ( |  | ) | const

int failed_test_case_count | ( |  | ) | const

int failed_test_count | ( |  | ) | const

int failed_test_count | ( |  | ) | const

int failed_test_count | ( |  | ) | const

static UnitTest* GetInstance | ( |  | ) |
| static

UnitTest * GetInstance | ( |  | ) |
| static

static UnitTest* GetInstance | ( |  | ) |
| static

const TestCase * GetTestCase | ( | int | i | ) | const

const TestCase* GetTestCase | ( | int | i | ) | const

const TestCase* GetTestCase | ( | int | i | ) | const

TestEventListeners & listeners | ( |  | ) |

TestEventListeners& listeners | ( |  | ) |

TestEventListeners& listeners | ( |  | ) |

const char* original_working_dir | ( |  | ) | const

const char * original_working_dir | ( |  | ) | const

const char* original_working_dir | ( |  | ) | const

internal::ParameterizedTestCaseRegistry& parameterized_test_registry | ( |  | ) |

bool Passed | ( |  | ) | const

bool Passed | ( |  | ) | const

bool Passed | ( |  | ) | const

int random_seed | ( |  | ) | const

int random_seed | ( |  | ) | const

int random_seed | ( |  | ) | const

int Run | ( |  | ) |

int Run | ( |  | ) |

int Run | ( |  | ) |

int successful_test_case_count | ( |  | ) | const

int successful_test_case_count | ( |  | ) | const

int successful_test_case_count | ( |  | ) | const

int successful_test_count | ( |  | ) | const

int successful_test_count | ( |  | ) | const

int successful_test_count | ( |  | ) | const

int test_case_to_run_count | ( |  | ) | const

int test_case_to_run_count | ( |  | ) | const

int test_case_to_run_count | ( |  | ) | const

int test_to_run_count | ( |  | ) | const

int test_to_run_count | ( |  | ) | const

int test_to_run_count | ( |  | ) | const

int total_test_case_count | ( |  | ) | const

int total_test_case_count | ( |  | ) | const

int total_test_case_count | ( |  | ) | const

int total_test_count | ( |  | ) | const

int total_test_count | ( |  | ) | const

int total_test_count | ( |  | ) | const

## Friends And Related Function Documentation

Environment* AddGlobalTestEnvironment | ( | Environment * | env | ) |
| friend

Environment* AddGlobalTestEnvironment | ( | Environment * | env | ) |
| friend

Environment* AddGlobalTestEnvironment | ( | Environment * | env | ) |
| friend

internal::AssertHelper
| friend

internal::UnitTestImpl* internal::GetUnitTestImpl | ( |  | ) |
| friend

internal::UnitTestImpl* internal::GetUnitTestImpl | ( |  | ) |
| friend

internal::UnitTestImpl* internal::GetUnitTestImpl | ( |  | ) |
| friend

void internal::ReportFailureInUnknownLocation | ( | TestPartResult::Type | result_type,
|  | const internal::String & | message
| ) |  |
| friend

void internal::ReportFailureInUnknownLocation | ( | TestPartResult::Type | result_type,
|  | const internal::String & | message
| ) |  |
| friend

void internal::ReportFailureInUnknownLocation | ( | TestPartResult::Type | result_type,
|  | const internal::String & | message
| ) |  |
| friend

internal::ScopedTrace
| friend

Test
| friend

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc